package com.huimv.getdata.mapper;

import com.huimv.getdata.entity.kucun.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ErpKuCunMapper {

    List<YuanCaiLiaoKuCun> getYuanCaiLiaoCunLiang(@Param("date")  String date);

    List<YangMaoZhiChuKu> getYangMaoZhiKuCun(@Param("date") String date);

    List<YuanCaiLiaoDangRiRuKu> getYuanCaiLiaoDangRi(@Param("date") String date);

    List<ChengPinRuKu> getChengPinDangRi(@Param("date") String date);

    List<ChengPinRuKu> getYangMaoZhiDangRi(@Param("date") String date);

    List<YuanCaiLiaoChuKu> getYuanCaiLiaoChuKu(@Param("date") String date);

    List<ChenPinChuKu> getChengPinChuKu(@Param("date") String date);

    List<YangMaoZhiChuKu> getYangMaoZhiChuKu(@Param("date") String date);

    List<KunCunQuShi> getKunCunQuShi(@Param("date") String date);

    List<YangMaoZhiChuKu> getChuKuShuLiang(@Param("date") String date);

    List<WuLiaoKuMingXi> getWuLiaoMingXi(@Param("date") String date);

    List<YangMaoZhiGongYingShang> getYangMaoZhiGongYingShang(@Param("date") String date);

    List<YangMaoZhiGongYingShang> getYangMaoZhiGongYingShangLeiJi(@Param("date") String date);


    List<ChengPinRuKu> getWuJinDangRi(@Param("date") String date);

    List<ChengPinRuKu> getBaoCaiDangRi(@Param("date")String date);

    List<ChenPinChuKu> getWuJinChuKu(@Param("date")String date);

    List<ChenPinChuKu> getBaoCaiChuKu(@Param("date")String date);

    List<ChengPinRuKu> getChengPinDangRiAll(@Param("date")String date);

    List<ChenPinChuKu> getChengPinChuKuAll(@Param("date")String date);
}
